/*--------------------------------------------------------------------
 * $Id: ancillary.h,v 1.3 2001/08/28 15:17:29 pa2h Exp $
 * 
 * This file is part of libRadtran.
 * Copyright (c) 1997-2001 by Arve Kylling and Bernhard Mayer.
 * 
 * ######### Contact info: http://www.libradtran.org #########
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License   
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.        
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of  
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the   
 * GNU General Public License for more details.                    
 * 
 * You should have received a copy of the GNU General Public License          
 * along with this program; if not, write to the Free Software                
 * Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA.
 *--------------------------------------------------------------------*/

#ifndef __ancillary_h
#define __ancillary_h

#include <stdio.h>
#include "uvspec.h"

int setup_wlgrid (input_struct input, output_struct *output);

int arb_wvn (int n_old_x, float *old_x, float *old_y,  
	     int n_new_x, float *new_x, float *new_y, int linear);

int arb_wvn2 (int n_old_x, float *old_x, float *old_y,  
	      int n_new_x_lower, int n_new_x_upper, float *new_x, float *new_y, int linear);

     
int set_transmittance_wl_grid(wl_inp_struct *wl_inp, wl_out_struct *wl_out);

int convolve(input_struct input, output_struct *output);
int spline_interpolate(input_struct input, output_struct *output);

int interpolate_transmittance (input_struct input, output_struct *output);
int multiply_extraterrestrial (input_struct input, output_struct *output);
int crs_rayleigh(float* lambda, int n_lambda, float ***crs );
int optical_properties (input_struct input, output_struct *output, int iv, int iq);
int integrate3D (input_struct input, output_struct *output);

#endif



